(princ "\nLoading Vessel Program, Please wait ...")
(defun C:ves () (vessel))
(defun rtd (a) (* (/ a pi) 180.0))(princ) (princ)
(defun dtr (a) (* (/ a 180.0) pi))(princ) (princ)
;----------------------------------------------------------------
(defun vessel ()
(setvar "cmdecho" 0)
  (run_demo) (input_vd)
  (if (= in_vd "vessel")
   (progn (input_vjh)
     (if (= in_vjh "vst")
       (progn (load "ves_vst")
  	(input_units) (mlay) (setq sc 1.0 detsc 1.0)
  	(vst_prog) (savedwg)
       )
     )
     (if (= in_vjh "hst")
       (progn (load "ves_hst")
  	(input_units)
  	(mlay) (setq detsc 1.0 sc 1.0)
  	(hst_invar) (input_endtype_hst)
  	(if (or (= endhead "dish") (= endhead "hemi")) (veshst_invar_dish))
  	(if (= endhead "flat") (veshst_invar_flat))
  	(veshst) (savedwg)
  	(command "_zoom" "e" "_redraw")
	(princ)
       )
     )
     (if (= in_vjh "jac") (progn (setq detsc 1.0) (princ))
     )
   )
  ) ;  if (= in_vd "vessel")
  (if (= in_vd "detail")
    (progn (input_vjh)
     (if (= in_vjh "ves")
	 (progn  (input_lll)
	   (if (= in_lll "pdt")
	     (progn
                (load "ves_vst.lsp")  (input_detsc_pdet) (ves_prog_det) (princ)
	     )
	   )
     (if (= in_lll "lug")
         (progn   (mlay)
                  (input_ves_ld) (setq suptype "lug")
                (load "ves_vet.lsp")  (input_detsc)
                (load "ves_supp.lsp")  (lugsize) (input_no_support) (lug_sup) (support) (princ)
         )
     )
     (if (= in_lll "leg")
         (progn  (mlay)
                 (input_ves_ld) (setq suptype "leg")
                (load "ves_vst.lsp") (input_detsc)
                (load "ves_supp.lsp") (legsize) (input_no_support) (leg_sup) (support) (princ)
          )
     )
     (if (= in_lll "lim") (progn (princ)))
        ) ; end progn ves
     ) ; end vessel det
     (if (= in_vjh "hst")
          (progn  (input_ps) (load "ves_hst.lsp")
                (load "ves_vst.lsp") 
	    (if (= in_ps "dish")
	      (progn (input_detsc) (hst_invar) (veshst_invar_dish) (veshst_det)
	      )
	    )
            (if (= in_ps "flat")
	       (progn (input_detsc) (hst_invar) (veshst_invar_flat) (veshst_det)
	       )
	    )
            (if (= in_ps "hemi")
	       (progn (input_detsc) (hst_invar) (veshst_invar_dish) (veshst_det)
	       )
	    )
            (if (= in_ps "sad")
	       (progn (input_ves_ld) (hst_invar) (veshst_det)
	       )
	    )
	  ) ; end progn hst 
        (princ)
      ) ; end  (= in_vjh "hst")
     ) ; end progn (= in_vd "detail") 
   ) ; end (= in_vd "detail") 
   (princ)
;  (bomfile_w "a" "*" "" "" "" "" "" "")
;  (bomdwg_w scbdw)
(princ) (princ)
) ;end vessel -------------------------------------------------------------------
(defun run_demo ()
	(setq i0 (load_dialog "ves.dcl"))
	(if (not (new_dialog "rundemo" i0)) (exit))
  	(settile 0)
  	(set_tile "run" "1")
  	(action_tile "accept" "(setq rude (get_tile \"rundemo\"))")
  	(start_dialog)
  	(unload_dialog i0)
        (if (= rude "demo")
	  (progn (setq demo 1) (setq optionno 1) (demovar))
          (progn (load "ves_hst") (setq demo 0))
	)
) ; end run_demo -----------------------------------------------
(defun demovar ()
	(setq i0 (load_dialog "ves.dcl"))
	(if (not (new_dialog "demo_db" i0)) (exit))
  	(settile demo)
  	(set_tile "1" "1")
  	(action_tile "accept" "(setq optionno (atoi (get_tile \"demodb\")))")
  	(start_dialog)
  	(unload_dialog i0)
   (cond
      ((= m2 2)
        (cond
	  ((= optionno 1) (setq ves1 1000.0 ves2 500.0 ves3 6.0 ves4 8.0 ves5 1200.0 ves6 50.0 ves7 6.0 ves8 8.0 ves9 (/ ves2 2.0)))
	  ((= optionno 2) (setq ves1 1100.0 ves2 550.0 ves3 6.0 ves4 8.0 ves5 1200.0 ves6 50.0 ves7 6.0 ves8 8.0 ves9 (/ ves2 2.0)))
	  ((= optionno 3) (setq ves1 1200.0 ves2 600.0 ves3 6.0 ves4 8.0 ves5 1200.0 ves6 50.0 ves7 6.0 ves8 8.0 ves9 (/ ves2 2.0)))
	  ((= optionno 4) (setq ves1 1300.0 ves2 650.0 ves3 6.0 ves4 8.0 ves5 1200.0 ves6 50.0 ves7 6.0 ves8 8.0 ves9 (/ ves2 2.0)))
	  ((= optionno 5) (setq ves1 1400.0 ves2 700.0 ves3 6.0 ves4 8.0 ves5 1200.0 ves6 50.0 ves7 6.0 ves8 8.0 ves9 (/ ves2 2.0)))
	  ((= optionno 6) (setq ves1 1500.0 ves2 750.0 ves3 6.0 ves4 8.0 ves5 1200.0 ves6 50.0 ves7 6.0 ves8 8.0 ves9 (/ ves2 2.0)))
	  ((= optionno 7) (setq ves1 1600.0 ves2 800.0 ves3 6.0 ves4 8.0 ves5 1200.0 ves6 50.0 ves7 6.0 ves8 8.0 ves9 (/ ves2 2.0)))
	)
      )
      ((= m2 4)
	(cond
	  ((= optionno 1) (setq ves1 40.0 ves2 20.0 ves3 0.25 ves4 0.375 ves5 48.0 ves6 2.0 ves7 0.25 ves8 0.375 ves9 (/ ves2 2.0)))
	  ((= optionno 2) (setq ves1 44.0 ves2 22.0 ves3 0.25 ves4 0.375 ves5 48.0 ves6 2.0 ves7 0.25 ves8 0.375 ves9 (/ ves2 2.0)))
	  ((= optionno 3) (setq ves1 48.0 ves2 24.0 ves3 0.25 ves4 0.375 ves5 48.0 ves6 2.0 ves7 0.25 ves8 0.375 ves9 (/ ves2 2.0)))
	  ((= optionno 4) (setq ves1 52.0 ves2 26.0 ves3 0.25 ves4 0.375 ves5 48.0 ves6 2.0 ves7 0.25 ves8 0.375 ves9 (/ ves2 2.0)))
	  ((= optionno 5) (setq ves1 54.0 ves2 28.0 ves3 0.25 ves4 0.375 ves5 48.0 ves6 2.0 ves7 0.25 ves8 0.375 ves9 (/ ves2 2.0)))
	  ((= optionno 6) (setq ves1 56.0 ves2 30.0 ves3 0.25 ves4 0.375 ves5 48.0 ves6 2.0 ves7 0.25 ves8 0.375 ves9 (/ ves2 2.0)))
	  ((= optionno 7) (setq ves1 58.0 ves2 32.0 ves3 0.25 ves4 0.375 ves5 48.0 ves6 2.0 ves7 0.25 ves8 0.375 ves9 (/ ves2 2.0)))
	)
      )
    )
)
; End demovar------------------------------------------
(defun input_vd (/ i1)
	(setq i1 (load_dialog "ves.dcl"))
	(if (not (new_dialog "indb_vd" i1)) (exit))
  	(settile demo)
  	(set_tile "vessel" "1")
  	(action_tile "accept" "(setq in_vd (get_tile \"in_vd\"))")
  	(start_dialog)
  	(unload_dialog i1)
     (princ)
) ;-------End input_vd  ------------------------------------------
(defun input_vjh (/ i1)
	(setq i1 (load_dialog "ves.dcl"))
	(if (not (new_dialog "indb_vjh" i1)) (exit))
  	(settile demo)
  	(set_tile "vst" "1")
  	(action_tile "accept" "(setq in_vjh (get_tile \"in_vjh\"))")
  	(start_dialog)
  	(unload_dialog i1)
     (princ)
) ;-------End input_vjh  ------------------------------------------
(defun input_lll (/ i1)
	(setq i1 (load_dialog "ves.dcl"))
	(if (not (new_dialog "indb_lll" i1)) (exit))
  	(settile demo)
  	(set_tile "pdt" "1")
  	(action_tile "accept" "(setq in_lll (get_tile \"in_lll\"))")
  	(start_dialog)
  	(unload_dialog i1)
     (princ)
) ;-------End input_lll ------------------------------------------
(defun input_ps (/ i1)
	(setq i1 (load_dialog "ves.dcl"))
	(if (not (new_dialog "indb_ps" i1)) (exit))
  	(settile demo)
  	(set_tile "dish" "1")
  	(action_tile "accept" "(setq in_ps (get_tile \"in_ps\"))")
  	(start_dialog)
  	(unload_dialog i1)
     (princ)
) ;-------End input_ps ------------------------------------------
(defun input_ves_ld ( / i1 i2)
    (cond
      ((= m2 2)
       (if (not ves1) (setq ves1 1000.0))
       (if (not ves2) (setq ves2 500.0))
       (if (not ves3) (setq ves3 4.0))
       (if (not legsz) (setq legsz 75.0))
      )
      ((= m2 4)
       (if (not ves1) (setq ves1 40.0))
       (if (not ves2) (setq ves2 20.0))
       (if (not ves3) (setq ves3 (/ 3.0 64.0)))
       (if (not legsz) (setq legsz 3.0))
      )
     )
  (setq i1 (load_dialog "ves.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_ld" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nWeld to Weld Length? : ")))
      (if (not ves2) (setq ves2 (getreal "\nInside Diameter? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
(princ) (princ)
) ; part end input_ves_ld ------------
(defun get_ves1  () (setq ves1  (distof (get_tile "ves1_db"))));
(defun get_ves2  () (setq ves2  (distof (get_tile "ves2_db"))));
(defun get_ves3  () (setq ves3  (distof (get_tile "ves3_db"))));
(defun get_ves4  () (setq ves4  (distof (get_tile "ves4_db"))));
(defun get_ves5  () (setq ves5  (distof (get_tile "ves5_db"))));
;-------- end input_ves_ld ------------------------------------------
(defun settile ( demo )
	(set_tile "program" "Vessel Program by")
	(set_tile "company" "Satish Lele")
	(set_tile "tel" "91-98202 77283")
	(set_tile "email" "leleequip@gmail.com")
	(set_tile "website" "www.svlele.com/vessel.htm")
  (if (= demo 1) (progn
	(set_tile "demol1" "You can not change")
	(set_tile "demol2" "values in trial mode")
  ))
(princ)
); end settile--------------------------------------------------
(defun input_units ( / i1)
(cond
   ((= m1 nil)
	(setq i1 (load_dialog "ves.dcl"))
	(if (not (new_dialog "indb_mmin" i1)) (exit))
  	(settile demo)
  	(set_tile "inch" "1")
  	(action_tile "accept" "(setq lu (get_tile \"mmin\"))")
  	(start_dialog)
  	(unload_dialog i1)
   )
) ; m3 for hatch scale m5 for kg to lb
(if (= lu "mm")   (progn (setq m1 1.0  m2 2 m3 2.5 m4 0 m5 2.204) (setvar "lunits" 2) (setvar "luprec" 2)))
(if (= lu "inch") (progn (setq m1 25.4 m2 4 m3 0.1 m4 4 m5 1.0)   (setvar "lunits" 4) (setvar "luprec" 4)))
(if (= m2 2) (setq dimoff 2.0 textht 7.5 tagl 75.0))
(if (= m2 4) (setq dimoff (/ 2.0 25.4) textht  (/ 2.5 25.4) tagl (/ 75.0 25.4)))
(princ)
) ;-------End input_units--------------------------------------------
(defun input_dwgdata ( / i1 i2
		      ;  t1 t2 t3 t4 t5 t6 t61 t62 t63 t7 t8 t9 t10 t11 t1 t13 t14 ; menu.lsp
		      )
(setq i1 (load_dialog "ves.dcl") i2 5)
(while (< 2 i2)
    (if (not (new_dialog "indb_dwgdata" i1)) (exit))
  	(settile demo)
  (if (= t1 nil) (setq t1 "ABC ENGINEERS")) ; client's name
  (if (= t2 nil) (setq t2 "ABC CONSULTANTS")) ; consultant's name
  (if (= t3 nil) (setq t3 "GSD")) ; drawn by
  (if (= t4 nil) (setq t4 "AKK")) ; checked by
  (if (= t5 nil) (setq t5 "HVR")) ; approved by
  (if (= t7 nil) (setq t7 "001")) ; drawing number
  (if (= t9 nil) (setq t9 "PROJECT 123")) ; project no.
  (if (= t10 nil) (setq t10 "EQUPT 123")) ; equipment no.
  (if (= t11 nil) (setq t11 "VES-123")) ; tag no.
  (if (= t12 nil) (setq t12 "XYZ 001")) ; company job no.
  (if (= t13 nil) (setq t13 "ABC ENGINEERS")) ; end user
  (if (= t14 nil) (setq t14 "0")) ; revision
  (princ)
  (setq t8 (getvar "DWGPREFIX"))
    (set_tile "t1" t1)
    (set_tile "t2" t2)
    (set_tile "t3" t3)
    (set_tile "t4" t4)
    (set_tile "t5" t5)
    (setq t6 (fix (getvar "cdate")))
    (setq t61 (substr (itoa (fix (getvar "cdate"))) 5 2)
          t62 (substr (itoa (fix (getvar "cdate"))) 7 2)
          t63 (substr (itoa (fix (getvar "cdate"))) 1 4)
    )
   (if (= m2 2)
    (setq t6 (strcat t62 "-" t61 "-" t63))
    (setq t6 (strcat t61 "-" t62 "-" t63))
   )
    (set_tile "t6" t6)
    (set_tile "t7" t7)
    (set_tile "t9" t9)
    (set_tile "t10" t10)
    (set_tile "t11" t11)
    (set_tile "t12" t12)
    (set_tile "t13" t13)
    (set_tile "t14" t14)
    (action_tile "t1" "(get_t1)")
    (action_tile "t2" "(get_t2)")
    (action_tile "t3" "(get_t3)")
    (action_tile "t4" "(get_t4)")
    (action_tile "t5" "(get_t5)")
    (action_tile "t6" "(get_t6)")
    (action_tile "t7" "(get_t7)")
    (action_tile "t9" "(get_t9)")
    (action_tile "t10" "(get_t10)")
    (action_tile "t11" "(get_t11)")
    (action_tile "t12" "(get_t12)")
    (action_tile "t13" "(get_t13)")
    (action_tile "t14" "(get_t14)")
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i2 (start_dialog))
)
    (unload_dialog i1)
        (princ)
);-----------
(defun get_t1  () (setq t1  (strcase (get_tile "t1"))))
(defun get_t2  () (setq t2  (strcase (get_tile "t2"))))
(defun get_t3  () (setq t3  (strcase (get_tile "t3"))))
(defun get_t4  () (setq t4  (strcase (get_tile "t4"))))
(defun get_t5  () (setq t5  (strcase (get_tile "t5"))))
(defun get_t6  () (setq t6  (strcase (get_tile "t6"))))
(defun get_t7  () (setq t7  (strcase (get_tile "t7"))))
(defun get_t8  () (setq t8  (strcase (get_tile "t8"))))
(defun get_t9  () (setq t9  (strcase (get_tile "t9"))))
(defun get_t10 () (setq t10 (strcase (get_tile "t10"))))
(defun get_t11 () (setq t11 (strcase (get_tile "t11"))))
(defun get_t12 () (setq t12 (strcase (get_tile "t12"))))
(defun get_t13 () (setq t13 (strcase (get_tile "t13"))))
(defun get_t14 () (setq t14 (strcase (get_tile "t14"))))
;end input_dwgdata------------------------------------------------------
(defun mlay ()
	(setvar "angdir" 0)
	(setvar "aperture" 3)
	(setvar "aunits" 0)
	(setvar "auprec" 0)
	(setvar "blipmode" 0)
	(setvar "cmdecho" 0)
	(setvar "dragmode" 2)
	(setvar "donutid" 0)
	(setvar "donutod" 1.5)
	(setvar "fillmode" 1)
	(setvar "gridmode" 0)
	(setvar "mirrtext" 0)
	(setvar "pdmode" 1)
	(setvar "pickadd" 1)
	(setvar "pickauto" 1)
	(setvar "pickdrag" 1)
	(setvar "regenmode" 1)
	(setvar "savetime" 10)
	(setvar "snapmode" 0)
	(setvar "snapstyl" 0)
        (setvar "osmode" 0)
  (cond
      ((= m2 2)
;        (setvar "dimlunit" 2)
        (setvar "dimalt" 0)
	(setvar "dimasz" 2.5)
	(setvar "dimcen" 0)
	(setvar "dimclrd" 4)
	(setvar "dimclre" 4)
	(setvar "dimclrt" 7)
	(setvar "dimdec" 0)
	(setvar "dimdle" 0)
	(setvar "dimdli" 0.38)
	(setvar "dimexe" 0.1)
	(setvar "dimexo" 0.1)
	(setvar "dimgap" 2)
	(setvar "dimjust" 0)
	(setvar "dimlfac" 1.00)
	(setvar "dimfit" 1)
	(setvar "dimlim" 0)
	(setvar "dimrnd" 0.0)
	(setvar "dimsah" 0)
	(setvar "dimscale" 5.0)
	(setvar "dimse1" 0)
	(setvar "dimse2" 0)
	(setvar "dimsho" 0)
	(setvar "dimsoxd" 0)
	(setvar "dimtad" 1)
	(setvar "dimtfac" 1.0)
	(setvar "dimtih" 0)
	(setvar "dimtix" 1)
	(setvar "dimtm" 0)
	(setvar "dimtofl" 1)
	(setvar "dimtoh" 0)
	(setvar "dimtol" 0)
	(setvar "dimtp" 0)
	(setvar "dimtsz" 0)
	(setvar "dimtvp" 0.00)
;	(setvar "dimtxsty" "romans")
	(setvar "dimtxt" 2.5)
	(setvar "dimzin" 0)
	(setvar "dimpost" ".")
	(setvar "hpscale" 125.0)
	(setvar "ltscale" 125.0)
    )
  ((= m2 4)
;        (setvar "dimlunit" 4)
	(setvar "dimalt" 0)
	(setvar "dimasz" 0.18)
	(setvar "dimcen" 0)
	(setvar "dimclrd" 4)
	(setvar "dimclre" 4)
	(setvar "dimclrt" 7)
	(setvar "dimdec" 4)
	(setvar "dimdle" 0)
	(setvar "dimdli" 0.38)
	(setvar "dimexe" 0.05)
	(setvar "dimexo" 0.05)
	(setvar "dimgap" 0.09)
	(setvar "dimjust" 0)
	(setvar "dimlfac" 1.00)
	(setvar "dimfit" 1)
	(setvar "dimlim" 0)
	(setvar "dimrnd" 0.0)
	(setvar "dimsah" 0)
	(setvar "dimscale" 2.0)
	(setvar "dimse1" 0)
	(setvar "dimse2" 0)
	(setvar "dimsho" 0)
	(setvar "dimsoxd" 0)
	(setvar "dimtad" 1)
	(setvar "dimtfac" 1.0)
	(setvar "dimtih" 0)
	(setvar "dimtix" 1)
	(setvar "dimtm" 0)
	(setvar "dimtofl" 0)
	(setvar "dimtoh" 0)
	(setvar "dimtol" 0)
	(setvar "dimtp" 0)
	(setvar "dimtsz" 0)
	(setvar "dimtvp" 0.00)
;	(setvar "dimtxsty" "romans")
	(setvar "dimtxt" 0.18)
	(setvar "dimzin" 0)
	(setvar "dimpost" ".")
	(setvar "hpscale" 5.0)
	(setvar "ltscale" 5.0)
    )
  )
	(princ)
(command "_style" "romans" "romans" 0.0 0.75 0.0 "" "" ""
         "_layer" "make" "VES" "color" "1" "" ""
         "_layer" "make" "BOM" "color" "3" "" ""
	 "_layer" "make" "CEN" "color" "2" "" ""
         "_layer" "make" "DIM" "color" "4" "" ""
	 "_layer" "make" "TXT" "color" "6" "" ""
	 "_layer" "make" "HID" "color" "5" "" ""
	 "_layer" "set" "0" "color" "7" "" ""
	 "_ucs" "o" "0,0"
         "_zoom" "e")
        (princ)
) ; end mlay --------------------------------
(defun findrep ( s1 s2 s3 s4 s5 s6 s7 s8 s9 s10 s11 s12 s13 s14 s15 s16 s17 d1
                 / s0 e0 l0 t1)
	(setvar "cmdecho" 0)
	(setq s0 (ssget "X" (list (cons 8 "txt") (cons 0 "TEXT"))))
	(if s0 (setq l0 (sslength s0)))
	(while (> l0 0)
             	(setq e0 (ssname s0 (setq l0 (1- l0))))
   		(setq t1 (cdr (assoc 1 (entget e0))))
	  (cond
		((= t1 "text1")  (setq ed (entget e0))  (setq ed (subst (cons 1 s1)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text2")  (setq ed (entget e0))  (setq ed (subst (cons 1 s2)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text3")  (setq ed (entget e0))  (setq ed (subst (cons 1 s3)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text4")  (setq ed (entget e0))  (setq ed (subst (cons 1 s4)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text5")  (setq ed (entget e0))  (setq ed (subst (cons 1 s5)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text6")  (setq ed (entget e0))  (setq ed (subst (cons 1 s6)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text7")  (setq ed (entget e0))  (setq ed (subst (cons 1 s7)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text8")  (setq ed (entget e0))  (setq ed (subst (cons 1 s8)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text9")  (setq ed (entget e0))  (setq ed (subst (cons 1 s9)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text10")  (setq ed (entget e0)) (setq ed (subst (cons 1 s10) (cons 1 t1) ed)) (entmod ed))
		((= t1 "text11")  (setq ed (entget e0)) (setq ed (subst (cons 1 s11) (cons 1 t1) ed)) (entmod ed))
		((= t1 "text12")  (setq ed (entget e0)) (setq ed (subst (cons 1 s12) (cons 1 t1) ed)) (entmod ed))
		((= t1 "text13")  (setq ed (entget e0)) (setq ed (subst (cons 1 s13) (cons 1 t1) ed)) (entmod ed))
		((= t1 "text14")  (setq ed (entget e0)) (setq ed (subst (cons 1 s14) (cons 1 t1) ed)) (entmod ed))
		((= t1 "text15")  (setq ed (entget e0)) (setq ed (subst (cons 1 s15) (cons 1 t1) ed)) (entmod ed))
		((= t1 "text16")  (setq ed (entget e0)) (setq ed (subst (cons 1 s16) (cons 1 t1) ed)) (entmod ed))
		((= t1 "text17")  (setq ed (entget e0)) (setq ed (subst (cons 1 s17) (cons 1 t1) ed)) (entmod ed))
		((= t1 "date1")   (setq ed (entget e0)) (setq ed (subst (cons 1 d1)  (cons 1 t1) ed)) (entmod ed))
		((and (= m1 1.0)  (= t1 "size1")) (setq ed (entget e0)) (setq ed (subst (cons 1 "SIZE (594 mm X 841 mm)") (cons 1 t1) ed)) (entmod ed))
		((and (= m1 25.4) (= t1 "size1")) (setq ed (entget e0)) (setq ed (subst (cons 1 "SIZE (24\" X 34\")") (cons 1 t1) ed)) (entmod ed))
          )
	)
  (princ)
) ; end findrep  -------------------------------------------------------------------
(defun scalea ( / dist1 dist2)
   (if (or (= in_vjh "hst") (= hstin 1)) (setq dist1 (+ (* ves2 6.0) ves1) dist2 (/ 750.0 m1)))
   (if (or (= in_vjh "ves") (= vstin 1)) (setq dist1 (+ (* ves2 5.5) ves1) dist2 (/ 500.0 m1)))
   (if (< (* dist2  1.0)  dist1) (setq sc   1.5))
   (if (< (* dist2  1.5)  dist1) (setq sc   2.0))
   (if (< (* dist2  2.0)  dist1) (setq sc   2.5))
   (if (< (* dist2  3.0)  dist1) (setq sc   4.0))
   (if (< (* dist2  4.0)  dist1) (setq sc   5.0))
   (if (< (* dist2  5.0)  dist1) (setq sc   7.5))
   (if (< (* dist2  7.5)  dist1) (setq sc  10.0))
   (if (< (* dist2  10.0) dist1) (setq sc  12.5))
   (if (< (* dist2  12.5) dist1) (setq sc  15.0))
   (if (< (* dist2  15.0) dist1) (setq sc  20.0))
   (if (< (* dist2  20.0) dist1) (setq sc  25.0))
   (if (< (* dist2  25.0) dist1) (setq sc  30.0))
   (if (< (* dist2  30.0) dist1) (setq sc  40.0))
   (if (< (* dist2  40.0) dist1) (setq sc  50.0))
   (if (< (* dist2  50.0) dist1) (setq sc  60.0))
   (if (< (* dist2  60.0) dist1) (setq sc  75.0))
   (if (< (* dist2  75.0) dist1) (setq sc 100.0))
   (if (< (* dist2 100.0) dist1) (setq sc 125.0))
   (if (< (* dist2 125.0) dist1) (setq sc 150.0))
   (setq scbtab sc scbdw sc)
   (setq dimoff (/ (* 1.0 sc) m1) textht  (/ (* 2.5 sc) m1))
  (princ) (princ)
) ; end scalea -----------------------------------------------------------------
 (defun setup ( / p01 p02 pint)
   (if (or (= in_vjh "ves") (= in_vjh "jac") (= vstin 1))
     (setq pint (list (+ (car pt01) (* ves2 0.15)) (- (cadr pt02) (* ves2 4.0) ves1) 0)
      )
   )
   (if (or (= in_vjh "hst") (= hstin 1))
     (setq pint (list (- (car pt01) (* ves2 0.15)) (- (cadr pt02) (* ves2 0.0)) 0)
     )
   )
;    (if (= m2 2) (command "_insert" "*vesa1" pint sc ""))
;    (if (= m2 4) (command "_insert" "*vesa1" pint (/ sc m1) ""))
	(command "_ucs" "o" pint
		 "_limits" "0,0" (strcat (rtos (/ (* 790.0 sc) m1)) "," (rtos (/ (* 560.0 sc) m1)))
		 "_zoom" "e")
        (princ)
;     (cond
;     ((= in_vjh "ves") (findrep (strcat t8 t7 "_R" t14) "1 OF 1" "VERTICAL TANK" " " t3 t4 t5 (strcat "1:"(rtos sc 2 1)) (strcat t7 "_R" t14) t1 t2 t10 t9 t11 t12 t13 t14 t6) (princ))
;     ((= in_vjh "hst") (findrep (strcat t8 t7 "_R" t14) "1 OF 1" "HORIZONT0AL TANK" " " t3 t4 t5 (strcat "1:"(rtos sc 2 1)) (strcat t7 "_R" t14) t1 t2 t10 t9 t11 t12 t13 t14 t6) (princ))
;   )
(princ) (princ)
) ; end setup --------------------------------
(defun weld ( p0 ang rth lth / p1 p2 p3 p4 p5 p6 p7 ss1)
	(setq p1 (polar p0 (dtr (+ ang 90.0)) (/ lth 8.0))
	      p2 (polar p0 (dtr (- ang 90.0)) (/ lth 8.0))
	      p3 (polar p1 (dtr ang) (/ lth 6.0))
	      p4 (polar p2 (dtr ang) (/ rth 6.0))
	      p5 (polar p3 (dtr (+ ang 45.0)) (* (/ (* lth 5.0) 6.0) 1.4))
	      p6 (polar p4 (dtr (- ang 45.0)) (* (/ (* rth 5.0) 6.0) 1.4))
	      ss1 (ssadd)
	)
      (if (> lth rth)
	(setq p7 (polar p0 (dtr ang) (* lth 1.5)))
	(setq p7 (polar p0 (dtr ang) (* rth 1.5)))
      )
            (command "linetype" "set" "continuous" ""
		     "layer" "s" "0" ""
	    )
	    (command "line" p1 p2 "")
            (setq ss1 (ssadd (entlast) ss1))
	    (command "line" p2 p4 "")
            (setq ss1 (ssadd (entlast) ss1))
	    (command "line" p4 p6 "")
            (setq ss1 (ssadd (entlast) ss1))
	    (command "arc" p6 p7 p5)
            (setq ss1 (ssadd (entlast) ss1))
	    (command "line" p5 p3 "")
            (setq ss1 (ssadd (entlast) ss1))
	    (command "line" p3 p1 "")
            (setq ss1 (ssadd (entlast) ss1))
	    (command "hatch" "ansi31" 0.01 0 ss1 "")
) ; end weld -------------------------------------------------------------------


;----------------------------------------------------------
(princ "Loaded. \nType ves and press <enter> to start") (princ)
