(defun rtd (a) (* (/ a pi) 180.0))
(defun dtr (a) (* (/ a 180.0) pi))
(defun rs_error () (set_tile "error" ""))
;----------------------------------------------------------------
(defun c:ves () (vessel))
(defun vessel ( / ves1 ves2 ves3 ves4 ves5 ves6 ves7 ves8 ves9 ; vessel
	          dima dimb dimc dimd dime dimf dimg dimh bdia nob weldsiz riba ribb norib ; saddle
	          lpp_len lpp_th lpp_wid lbp_len lbp_th lbp_wid l_gap lrib_th l_ht ; lug
	          le_ht leg_ht  legsz ; leg
	          optionno optionno1 lu vtype csss endtop endbot suptype nosup nextno filt1
	          t1 t2 t3 t4 t5 t6 t61 t62 t63 t7 t8 t9 t10 t11 t1 t13 t14 ; title
	          moc_sh  moc_dish  moc_flat  moc_nozne  moc_nozfl  moc_gasnoz  moc_rfpad  moc_saddle  moc_support ; moc
	          spgr_sh spgr_dish spgr_flat spgr_nozne spgr_nozfl spgr_gasnoz spgr_rfpad spgr_saddle spgr_support ; specific gravity
	          pt01 pt02 pt03 pt04 pt05 py06 pt07 pt08 pt09 pt10 ; points in drawing
	          prp1 prs1 prs2 plugl plugr plugp  ; points for receiver
                  pt01 pt02 pt03 pt04 pt05 pt06 pt07 pt08 pein prp1 prs1 prs2 prp2
		  plugl plugm plugr plugp plegl plegm plegr plegp pff
	          sc)
(setvar "cmdecho" 0)
(princ "\nLoading Vessel Program, Please wait ...")
(load "ves_invar.lsp")
(load "ves_det.lsp")
(load "ves_bom.lsp")
(load "ves_hst.lsp")
(load "ves_rec.lsp")
(load "ves_data.lsp")
(load "ves_note.lsp")
(load "ves_noz.lsp")
(load "ves_text.lsp")
  (setq demo 0 m1 nil m2 2 m4 0 filt 0 optionno 1) (princ)
;  (rdemo) (rec_invar)
  (input_units)(princ)
  (input_dwgdata)(princ)
  (input_vestype)(princ)
  (cond
     ((= vtype "hst") (hst_invar) (veshst_invar) (hstprog))
     ((= vtype "rec") (rec_invar) (recprog))
  )
  (princ)
) ;end vessel -------------------------------------------------------------------

;  get_functions;------------------------------------------------------------
;drawing_data
(defun get_t1  () (setq t1  (strcase (get_tile "t1"))))
(defun get_t2  () (setq t2  (strcase (get_tile "t2"))))
(defun get_t3  () (setq t3  (strcase (get_tile "t3"))))
(defun get_t4  () (setq t4  (strcase (get_tile "t4"))))
(defun get_t5  () (setq t5  (strcase (get_tile "t5"))))
(defun get_t6  () (setq t6  (strcase (get_tile "t6"))))
(defun get_t7  () (setq t7  (strcase (get_tile "t7"))))
(defun get_t8  () (setq t8  (strcase (get_tile "t8"))))
(defun get_t9  () (setq t9  (strcase (get_tile "t9"))))
(defun get_t10 () (setq t10 (strcase (get_tile "t10"))))
(defun get_t11 () (setq t11 (strcase (get_tile "t11"))))
(defun get_t12 () (setq t12 (strcase (get_tile "t12"))))
(defun get_t13 () (setq t13 (strcase (get_tile "t13"))))
(defun get_t14 () (setq t14 (strcase (get_tile "t14"))))

(defun get_ves1 () (setq ves1 (distof (get_tile "ves1_db"))));
(defun get_ves2 () (setq ves2 (distof (get_tile "ves2_db"))));
(defun get_ves3 () (setq ves3 (distof (get_tile "ves3_db"))));
(defun get_ves4 () (setq ves4 (distof (get_tile "ves4_db"))));
(defun get_ves5 () (setq ves5 (distof (get_tile "ves5_db"))));
(defun get_ves6 () (setq ves6 (distof (get_tile "ves6_db"))));
(defun get_ves7 () (setq ves7 (distof (get_tile "ves7_db"))));
(defun get_ves8 () (setq ves8 (distof (get_tile "ves8_db"))));
(defun get_ves9 () (setq ves9 (distof (get_tile "ves9_db"))));

(defun get_dima () (setq dima (distof (get_tile "dima_db"))));
(defun get_dimb () (setq dimb (distof (get_tile "dimb_db"))));
(defun get_dimc () (setq dimc (distof (get_tile "dimc_db"))));
(defun get_dimd () (setq dimd (distof (get_tile "dimd_db"))));
(defun get_dime () (setq dime (distof (get_tile "dime_db"))));
(defun get_dimf () (setq dimf (distof (get_tile "dimf_db"))));
(defun get_dimg () (setq dimg (distof (get_tile "dimg_db"))));
(defun get_dimh () (setq dimh (distof (get_tile "dimh_db"))));
(defun get_bdia () (setq bdia (distof (get_tile "bdia_db"))));
(defun get_nob ()  (setq nob  (atoi    (get_tile "nob_db"))));
(defun get_weldsiz () (setq weldsiz (distof (get_tile "weldsiz_db"))));
(defun get_riba () (setq riba (distof (get_tile "riba_db"))));
(defun get_ribb () (setq ribb (distof (get_tile "ribb_db"))));
(defun get_norib () (setq norib (atoi (get_tile "norib_db"))));

(defun get_lpp_len () (setq lpp_len (distof (get_tile "lpp_len_db"))));
(defun get_lpp_wid () (setq lpp_wid (distof (get_tile "lpp_wid_db"))));
(defun get_lpp_th  () (setq lpp_th  (distof (get_tile "lpp_th_db"))));
(defun get_lbp_len () (setq lbp_len (distof (get_tile "lbp_len_db"))));
(defun get_lbp_wid () (setq lbp_wid (distof (get_tile "lbp_wid_db"))));
(defun get_lbp_th  () (setq lbp_th  (distof (get_tile "lbp_th_db"))));
(defun get_l_gap   () (setq l_gap   (distof (get_tile "l_gap_db"))));
(defun get_lrib_th () (setq lrib_th (distof (get_tile "lrib_th_db"))));
(defun get_l_ht    () (setq l_ht    (distof (get_tile "l_ht_db"))));
(defun get_le_ht   () (setq le_ht   (distof (get_tile "le_ht_db"))));
(defun get_leg_ht  () (setq leg_ht  (distof (get_tile "leg_ht_db"))));

(defun get_moc_sh_db ()      (setq moc_sh      (strcase (get_tile "moc_sh_db"))))
(defun get_moc_dish_db ()    (setq moc_dish    (strcase (get_tile "moc_dish_db"))))
(defun get_moc_flat_db ()    (setq moc_flat    (strcase (get_tile "moc_flat_db"))))
(defun get_moc_nozne_db ()   (setq moc_nozne   (strcase (get_tile "moc_nozne_db"))))
(defun get_moc_nozfl_db ()   (setq moc_nozfl   (strcase (get_tile "moc_nozfl_db"))))
(defun get_moc_gasnoz_db ()  (setq moc_gasnoz  (strcase (get_tile "moc_gasnoz_db"))))
(defun get_moc_rfpad_db ()   (setq moc_rfpad   (strcase (get_tile "moc_rfpad_db"))))
(defun get_moc_saddle_db ()  (setq moc_saddle  (strcase (get_tile "moc_saddle_db"))))

(defun get_spgr_sh_db ()     (setq spgr_sh     (distof  (get_tile "spgr_sh_db"))))
(defun get_spgr_dish_db ()   (setq spgr_dish   (distof  (get_tile "spgr_dish_db"))))
(defun get_spgr_flat_db ()   (setq spgr_flat   (distof  (get_tile "spgr_flat_db"))))
(defun get_spgr_nozne_db ()  (setq spgr_nozne  (distof  (get_tile "spgr_nozne_db"))))
(defun get_spgr_nozfl_db ()  (setq spgr_nozfl  (distof  (get_tile "spgr_nozfl_db"))))
(defun get_spgr_gasnoz_db () (setq spgr_gasnoz (distof  (get_tile "spgr_gasnoz_db"))))
(defun get_spgr_rfpad_db ()  (setq spgr_rfpad  (distof  (get_tile "spgr_rfpad_db"))))
(defun get_spgr_saddle_db () (setq spgr_saddle (distof  (get_tile "spgr_saddle_db"))))
;------------------------------------------------------------------------------

(princ) (princ)
;end get functions----------------------------------------------------
(princ "Loaded. \nType ves and press <enter> to start") (princ)
